#ifndef CUDA_DEVICE_H
#define CUDA_DEVICE_H

#include <GL/glew.h>
#include <GL/glfw.h>
#include <cuda_gl_interop.h>
#include <cutil_inline.h>

extern "C" 
{
	void CUDADeviceInit(int dev);
	void pboRegister( int pbo );
	void pboUnregister( int pbo );
}

#endif // CUDA_DEVICE_H