#ifndef _DEFINES_H
#define _DEFINES_H

#include <cstdlib>
#include <cstdio>
#include <cmath>
#include <iostream>
#include <string>

// METHOD=0 : Image transform	    (CPU)
// METHOD=1 : Image transform		(CUDA)
// METHOD=2 : Projection transform  (SHADERS)
#define METHOD 1

#define QUAD_STEREO 0
#define LIGHTING 1
#define NUM_COLOR_FACTOR 3 //RGB
#define VERT_SCALE 1

// Width and height of the picture in pixels
#define WIDTH 512
#define HEIGHT 512

// These relate the size of the conCAVE in real and virtual world
#define HEIGHT_SCALE_FACTOR  1.0
#define WIDTH_SCALE_FACTOR 1.0

#endif //_DEFINES_H