//for lighting
varying vec4 diffuse,ambient;
varying vec3 normal,lightDir,halfVector;

void main (void)  
{     
	vec3 n,halfV;
	float NdotL,NdotHV;
	
	vec4 color = ambient;
	n = normalize(normal);
	
	NdotL = max(dot(n,lightDir),0.0);
	
	if (NdotL > 0.0)
	{
		color += diffuse * NdotL;
	}
	
	//gl_FragColor = vec4(0.0, 1.0, 0.0, 1.0);
	gl_FragColor = color;
	//gl_FragColor = gl_Color;
}  